"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.createConfig = void 0;

var _webpack = _interopRequireDefault(require("webpack"));

var _lodash = _interopRequireDefault(require("lodash.isfunction"));

var _webpackDevMiddleware = _interopRequireDefault(require("webpack-dev-middleware"));

var _webpackHotMiddleware = _interopRequireDefault(require("webpack-hot-middleware"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const createConfig = (config = {}) => (0, _lodash.default)(config) ? config(process.env) : config;

exports.createConfig = createConfig;

var _default = (configCreator = {}) => {
  const config = createConfig(configCreator);
  const compiler = (0, _webpack.default)(config);
  return [(0, _webpackDevMiddleware.default)(compiler, {
    noInfo: true,
    hot: true,
    publicPath: config.output.publicPath,
    stats: 'minimal'
  }), (0, _webpackHotMiddleware.default)(compiler, {
    // eslint-disable-next-line no-console
    log: console.log,
    reload: true
  })];
};

exports.default = _default;